/* =========================
   LOADER
========================= */
.intro {
  position: fixed;
  inset: 0;
  background: var(--dark);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99999;
  animation: introFade 2.5s ease forwards;
}

.intro img {
  width: 150px;
  opacity: 0;
  animation: logoFade 1.5s ease forwards;
}

/* Logo fade in */
@keyframes logoFade {
  0% {
    opacity: 0;
    transform: scale(0.95);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/* Hele overlay fade out */
@keyframes introFade {
  0%,
  70% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
}
/* =========================
   POP - ONLOAD
========================= */
.titel-icon-eyecatch {
  opacity: 0;
  transform: scale(0);
}

.titel-icon-eyecatch.show {
  animation: popAnimation 0.8s cubic-bezier(0.22, 1, 0.36, 1) forwards;
}

.sticker-blok {
  opacity: 0;
  transform: scale(0);
  transition:
    transition 0.6s cubic-bezier(0.22, 1, 0.36, 1),
    opacity 0.4s ease;
}

.sticker-blok.pop {
  animation: popAnimationSlim 0.7s cubic-bezier(0.22, 1, 0.36, 1) forwards;
}

@keyframes popAnimation {
  0% {
    opacity: 0;
    transform: scale(0);
  }
  70% {
    opacity: 1;
    transform: scale(1.5);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

@keyframes popAnimationSlim {
  0% {
    opacity: 0;
    transform: scale(0);
  }
  70% {
    opacity: 1;
    transform: scale(1.3);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/* =========================
   FADE IN CONTAINERS
========================= */
.reveal {
  opacity: 0;
  transform: translateY(40px);
  transition:
    opacity 0.9s cubic-bezier(0.22, 1, 0.36, 1),
    transform 0.9s cubic-bezier(0.22, 1, 0.36, 1);
}

.reveal.active {
  opacity: 1;
  transform: translateY(0);
}

.footer-reveal {
  filter: brightness(1);
  transition: filter 0.2s linear;
}
